Skip to main content
POST
Instantiate Classifier Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

template_id
string
required

The templateId field.

Body

application/json

The InstantiateClassifierTemplateRequest message.

displayName
string

Optional display name override for the created Classifier.

params
object

Bind-time param values keyed by TemplateParam.key (e.g. grant_policy_id).

templateVersion
string

Optional; empty instantiates the latest version.

Response

200 - application/json

Successful response

The InstantiateClassifierTemplateResponse message.

classifier
Classifier · object | null

Classifier is a named, reusable rule cascade.